Home

# Class goog.events.ActionHandler

A wrapper around an element that you want to listen to ACTION events on.

extends goog.events.EventTarget

Instance Method Summary
| `dispatchEvents_(!goog.events.BrowserEvent e)` Dispatches BeforeAction and Action events to the element

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `handleClick_(!goog.events.BrowserEvent e)` Handles mouse events.
| `handleKeyDown_(!goog.events.BrowserEvent e)` Handles key press events.